#include <stdio.h>
#include <rpc/rpc.h>
#include "cfxdr.h"

extern XDR_element xdrfile[MAX_N_XDR_FILES];

	void
#ifdef cray
	CXDRREAL( int *ixdrid, float *r )

#elif defined( hpux )
	cxdrreal( ixdrid, r )
	int    *ixdrid;
	float	*r;

#else
	cxdrreal_( int *ixdrid, float *r )
#endif
{
	XDR 	*xdrs;

	xdrs = xdrfile[*ixdrid].xdrs;

	if( ! xdr_float( xdrs, r ) ) {
		fprintf( stderr, "FXDR library error while trying to read ");
		fprintf( stderr, "a real from file %s\n", 
			xdrfile[*ixdrid].filename );
		exit( -1 );
		}
}
